Package org.kapott.hbci.manager

# Class AccountCRCAlgs

java.lang.Object
org.kapott.hbci.manager.AccountCRCAlgs

public class AccountCRCAlgs extends Object

## Constructor Summary

Constructors
Constructor
Description
`AccountCRCAlgs()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`alg_00(int[] blz, int[] number)`
`static boolean`
`alg_01(int[] blz, int[] number)`
`static boolean`
`alg_02(int[] blz, int[] number)`
`static boolean`
`alg_03(int[] blz, int[] number)`
`static boolean`
`alg_04(int[] blz, int[] number)`
`static boolean`
`alg_05(int[] blz, int[] number)`
`static boolean`
`alg_06(int[] blz, int[] number)`
`static boolean`
`alg_07(int[] blz, int[] number)`
`static boolean`
`alg_08(int[] blz, int[] number)`
`static boolean`
`alg_09(int[] blz, int[] number)`
`static boolean`
`alg_10(int[] blz, int[] number)`
`static boolean`
`alg_11(int[] blz, int[] number)`
`static boolean`
`alg_12(int[] blz, int[] number)`
`static boolean`
`alg_13(int[] blz, int[] number)`
`static boolean`
`alg_14(int[] blz, int[] number)`
`static boolean`
`alg_15(int[] blz, int[] number)`
`static boolean`
`alg_16(int[] blz, int[] number)`
`static boolean`
`alg_17(int[] blz, int[] number)`
`static boolean`
`alg_18(int[] blz, int[] number)`
`static boolean`
`alg_19(int[] blz, int[] number)`
`static boolean`
`alg_20(int[] blz, int[] number)`
`static boolean`
`alg_21(int[] blz, int[] number)`
`static boolean`
`alg_22(int[] blz, int[] number)`
`static boolean`
`alg_23(int[] blz, int[] number)`
`static boolean`
`alg_24(int[] blz, int[] number)`
`static boolean`
`alg_25(int[] blz, int[] number)`
`static boolean`
`alg_26(int[] blz, int[] number)`
`static boolean`
`alg_27(int[] blz, int[] number)`
`static boolean`
`alg_28(int[] blz, int[] number)`
`static boolean`
`alg_29(int[] blz, int[] number)`
`static boolean`
`alg_30(int[] blz, int[] number)`
`static boolean`
`alg_31(int[] blz, int[] number)`
`static boolean`
`alg_32(int[] blz, int[] number)`
`static boolean`
`alg_33(int[] blz, int[] number)`
`static boolean`
`alg_34(int[] blz, int[] number)`
`static boolean`
`alg_38(int[] blz, int[] number)`
`static boolean`
`alg_41(int[] blz, int[] number)`
`static boolean`
`alg_42(int[] blz, int[] number)`
`static boolean`
`alg_43(int[] blz, int[] number)`
`static boolean`
`alg_51(int[] blz, int[] number)`
`static boolean`
`alg_52(int[] blz, int[] number)`
`static boolean`
`alg_53(int[] blz, int[] number)`
`static boolean`
`alg_55(int[] blz, int[] number)`
`static boolean`
`alg_56(int[] blz, int[] number)`
`static boolean`
`alg_57(int[] blz, int[] number)`
`static boolean`
`alg_60(int[] blz, int[] number)`
`static boolean`
`alg_61(int[] blz, int[] number)`
`static boolean`
`alg_63(int[] blz, int[] number)`
`static boolean`
`alg_65(int[] blz, int[] number)`
`static boolean`
`alg_68(int[] blz, int[] number)`
`static boolean`
`alg_69(int[] blz, int[] number)`
`static boolean`
`alg_70(int[] blz, int[] number)`
`static boolean`
`alg_74(int[] blz, int[] number)`
`static boolean`
`alg_76(int[] blz, int[] number)`
`static boolean`
`alg_78(int[] blz, int[] number)`
`static boolean`
`alg_81(int[] blz, int[] number)`
`static boolean`
`alg_82(int[] blz, int[] number)`
`static boolean`
`alg_85(int[] blz, int[] number)`
`static boolean`
`alg_86(int[] blz, int[] number)`
`static boolean`
`alg_87(int[] blz, int[] number)`
`static boolean`
`alg_88(int[] blz, int[] number)`
`static boolean`
`alg_90(int[] blz, int[] number)`
`static boolean`
`alg_91(int[] blz, int[] number)`
`static boolean`
`alg_92(int[] blz, int[] number)`
`static boolean`
`alg_95(int[] blz, int[] number)`
`static boolean`
`alg_96(int[] blz, int[] number)`
`static boolean`
`alg_99(int[] blz, int[] number)`
`static boolean`
`alg_A0(int[] blz, int[] number)`
`static boolean`
`alg_A1(int[] blz, int[] number)`
`static boolean`
`alg_A2(int[] blz, int[] number)`
`static boolean`
`alg_A3(int[] blz, int[] number)`
`static boolean`
`alg_A5(int[] blz, int[] number)`
`static boolean`
`alg_A6(int[] blz, int[] number)`
`static boolean`
`alg_A7(int[] blz, int[] number)`
`static boolean`
`alg_A8(int[] blz, int[] number)`
`static boolean`
`alg_A9(int[] blz, int[] number)`
`static boolean`
`alg_B1(int[] blz, int[] number)`
`static boolean`
`alg_B3(int[] blz, int[] number)`
`static boolean`
`alg_B5(int[] blz, int[] number)`
`static boolean`
`alg_B6(int[] blz, int[] number)`
`static boolean`
`alg_B8(int[] blz, int[] number)`
`static boolean`
`alg_C0(int[] blz, int[] number)`
`static boolean`
`alg_C1(int[] blz, int[] number)`
`static boolean`
`alg_C7(int[] blz, int[] number)`
`static boolean`
`alg_D0(int[] blz, int[] number)`
`static boolean`
`checkCreditorId(String creditorId)`
`static boolean`
`checkIBAN(String iban)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountCRCAlgs

public AccountCRCAlgs()

## Method Details

### alg_00

public static boolean alg_00(int[] blz, int[] number)

### alg_01

public static boolean alg_01(int[] blz, int[] number)

### alg_02

public static boolean alg_02(int[] blz, int[] number)

### alg_03

public static boolean alg_03(int[] blz, int[] number)

### alg_04

public static boolean alg_04(int[] blz, int[] number)

### alg_05

public static boolean alg_05(int[] blz, int[] number)

### alg_06

public static boolean alg_06(int[] blz, int[] number)

### alg_07

public static boolean alg_07(int[] blz, int[] number)

### alg_08

public static boolean alg_08(int[] blz, int[] number)

### alg_09

public static boolean alg_09(int[] blz, int[] number)

### alg_10

public static boolean alg_10(int[] blz, int[] number)

### alg_11

public static boolean alg_11(int[] blz, int[] number)

### alg_12

public static boolean alg_12(int[] blz, int[] number)

### alg_13

public static boolean alg_13(int[] blz, int[] number)

### alg_14

public static boolean alg_14(int[] blz, int[] number)

### alg_15

public static boolean alg_15(int[] blz, int[] number)

### alg_16

public static boolean alg_16(int[] blz, int[] number)

### alg_17

public static boolean alg_17(int[] blz, int[] number)

### alg_18

public static boolean alg_18(int[] blz, int[] number)

### alg_19

public static boolean alg_19(int[] blz, int[] number)

### alg_20

public static boolean alg_20(int[] blz, int[] number)

### alg_21

public static boolean alg_21(int[] blz, int[] number)

### alg_22

public static boolean alg_22(int[] blz, int[] number)

### alg_23

public static boolean alg_23(int[] blz, int[] number)

### alg_24

public static boolean alg_24(int[] blz, int[] number)

### alg_25

public static boolean alg_25(int[] blz, int[] number)

### alg_26

public static boolean alg_26(int[] blz, int[] number)

### alg_27

public static boolean alg_27(int[] blz, int[] number)

### alg_28

public static boolean alg_28(int[] blz, int[] number)

### alg_29

public static boolean alg_29(int[] blz, int[] number)

### alg_30

public static boolean alg_30(int[] blz, int[] number)

### alg_31

public static boolean alg_31(int[] blz, int[] number)

### alg_32

public static boolean alg_32(int[] blz, int[] number)

### alg_33

public static boolean alg_33(int[] blz, int[] number)

### alg_34

public static boolean alg_34(int[] blz, int[] number)

### alg_38

public static boolean alg_38(int[] blz, int[] number)

### alg_41

public static boolean alg_41(int[] blz, int[] number)

### alg_42

public static boolean alg_42(int[] blz, int[] number)

### alg_43

public static boolean alg_43(int[] blz, int[] number)

### alg_51

public static boolean alg_51(int[] blz, int[] number)

### alg_52

public static boolean alg_52(int[] blz, int[] number)

### alg_53

public static boolean alg_53(int[] blz, int[] number)

### alg_55

public static boolean alg_55(int[] blz, int[] number)

### alg_56

public static boolean alg_56(int[] blz, int[] number)

### alg_57

public static boolean alg_57(int[] blz, int[] number)

### alg_60

public static boolean alg_60(int[] blz, int[] number)

### alg_61

public static boolean alg_61(int[] blz, int[] number)

### alg_63

public static boolean alg_63(int[] blz, int[] number)

### alg_65

public static boolean alg_65(int[] blz, int[] number)

### alg_68

public static boolean alg_68(int[] blz, int[] number)

### alg_69

public static boolean alg_69(int[] blz, int[] number)

### alg_70

public static boolean alg_70(int[] blz, int[] number)

### alg_74

public static boolean alg_74(int[] blz, int[] number)

### alg_76

public static boolean alg_76(int[] blz, int[] number)

### alg_78

public static boolean alg_78(int[] blz, int[] number)

### alg_81

public static boolean alg_81(int[] blz, int[] number)

### alg_82

public static boolean alg_82(int[] blz, int[] number)

### alg_85

public static boolean alg_85(int[] blz, int[] number)

### alg_86

public static boolean alg_86(int[] blz, int[] number)

### alg_87

public static boolean alg_87(int[] blz, int[] number)

### alg_88

public static boolean alg_88(int[] blz, int[] number)

### alg_90

public static boolean alg_90(int[] blz, int[] number)

### alg_91

public static boolean alg_91(int[] blz, int[] number)

### alg_92

public static boolean alg_92(int[] blz, int[] number)

### alg_95

public static boolean alg_95(int[] blz, int[] number)

### alg_96

public static boolean alg_96(int[] blz, int[] number)

### alg_99

public static boolean alg_99(int[] blz, int[] number)

### alg_A0

public static boolean alg_A0(int[] blz, int[] number)

### alg_A1

public static boolean alg_A1(int[] blz, int[] number)

### alg_A2

public static boolean alg_A2(int[] blz, int[] number)

### alg_A3

public static boolean alg_A3(int[] blz, int[] number)

### alg_A5

public static boolean alg_A5(int[] blz, int[] number)

### alg_A6

public static boolean alg_A6(int[] blz, int[] number)

### alg_A7

public static boolean alg_A7(int[] blz, int[] number)

### alg_A8

public static boolean alg_A8(int[] blz, int[] number)

### alg_A9

public static boolean alg_A9(int[] blz, int[] number)

### alg_B1

public static boolean alg_B1(int[] blz, int[] number)

### alg_B3

public static boolean alg_B3(int[] blz, int[] number)

### alg_B5

public static boolean alg_B5(int[] blz, int[] number)

### alg_B6

public static boolean alg_B6(int[] blz, int[] number)

### alg_B8

public static boolean alg_B8(int[] blz, int[] number)

### alg_C0

public static boolean alg_C0(int[] blz, int[] number)

### alg_C1

public static boolean alg_C1(int[] blz, int[] number)

### alg_C7

public static boolean alg_C7(int[] blz, int[] number)

### alg_D0

public static boolean alg_D0(int[] blz, int[] number)

### checkIBAN

public static boolean checkIBAN(String iban)

### checkCreditorId

public static boolean checkCreditorId(String creditorId)